Index: data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4015)
+++ data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4016)
@@ -8849,4 +8849,140 @@
 ( 577 -312 139 ) ( 577 -301 129 ) ( 577 -312 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
 }
+// brush 948
+{
+( 478 584 35 ) ( 478 573 35 ) ( 455 584 35 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 479 584 19 ) ( 456 584 19 ) ( 479 584 9 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 479 584 41 ) ( 479 584 31 ) ( 479 573 41 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 9 ) ( 479 573 9 ) ( 456 584 9 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 9 ) ( 456 573 19 ) ( 479 573 9 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 9 ) ( 456 584 9 ) ( 456 573 19 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+}
+// brush 949
+{
+( 480 584 82 ) ( 480 573 82 ) ( 457 584 82 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 479 584 45 ) ( 456 584 45 ) ( 479 584 35 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 35 ) ( 479 573 35 ) ( 456 584 35 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 35 ) ( 456 573 45 ) ( 479 573 35 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 35 ) ( 456 584 35 ) ( 456 573 45 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 464 563 82 ) ( 479 563 35 ) ( 464 435 82 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+}
+// brush 950
+{
+( 479 584 107 ) ( 479 573 107 ) ( 456 584 107 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 479 584 92 ) ( 456 584 92 ) ( 479 584 82 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 464 583 116 ) ( 464 583 106 ) ( 464 572 116 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 82 ) ( 479 573 82 ) ( 456 584 82 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 82 ) ( 456 573 92 ) ( 479 573 82 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 82 ) ( 456 584 82 ) ( 456 573 92 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+}
+// brush 951
+{
+( 473 584 136 ) ( 473 573 136 ) ( 456 573 136 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 479 584 117 ) ( 456 584 117 ) ( 479 584 107 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 107 ) ( 479 573 107 ) ( 456 584 107 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 107 ) ( 456 573 117 ) ( 479 573 107 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 107 ) ( 456 584 107 ) ( 456 573 117 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 473 573 136 ) ( 473 584 136 ) ( 464 573 107 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+}
+// brush 952
+{
+( 495.75 582 156 ) ( 495.75 571 156 ) ( 456 573 156 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 479 584 146 ) ( 456 584 146 ) ( 479 584 136 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 473 573 136 ) ( 473 584 136 ) ( 456 573 136 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 136 ) ( 456 573 146 ) ( 479 573 136 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 136 ) ( 456 584 136 ) ( 456 573 146 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 500 571 164 ) ( 500 582 164 ) ( 484 571 134 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+( 495.25 571 155 ) ( 495.25 582 155 ) ( 473 584 136 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+}
+// brush 953
+{
+( 478 584 221 ) ( 478 573 221 ) ( 455 584 221 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 479 584 176 ) ( 456 584 176 ) ( 479 584 166 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 496 583 199 ) ( 496 583 189 ) ( 496 572 199 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 156 ) ( 479 573 156 ) ( 456 584 156 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 166 ) ( 456 573 176 ) ( 479 573 166 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 456 573 166 ) ( 456 584 166 ) ( 456 573 176 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+}
+// brush 954
+{
+( 577 584 35 ) ( 554 573 35 ) ( 554 584 35 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 584 9 ) ( 576 584 19 ) ( 553 584 19 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 573 41 ) ( 553 584 31 ) ( 553 584 41 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 584 9 ) ( 553 573 9 ) ( 576 573 9 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 573 9 ) ( 576 573 19 ) ( 576 573 9 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 573 19 ) ( 576 584 9 ) ( 576 573 9 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+}
+// brush 955
+{
+( 575 584 82 ) ( 552 573 82 ) ( 552 584 82 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 584 35 ) ( 576 584 45 ) ( 553 584 45 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 584 35 ) ( 553 573 35 ) ( 576 573 35 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 573 35 ) ( 576 573 45 ) ( 576 573 35 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 573 45 ) ( 576 584 35 ) ( 576 573 35 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 568 435 82 ) ( 553 563 35 ) ( 568 563 82 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+}
+// brush 956
+{
+( 576 584 107 ) ( 553 573 107 ) ( 553 584 107 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 584 82 ) ( 576 584 92 ) ( 553 584 92 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 568 572 116 ) ( 568 583 106 ) ( 568 583 116 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 584 82 ) ( 553 573 82 ) ( 576 573 82 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 573 82 ) ( 576 573 92 ) ( 576 573 82 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 573 92 ) ( 576 584 82 ) ( 576 573 82 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+}
+// brush 957
+{
+( 576 573 136 ) ( 559 573 136 ) ( 559 584 136 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 584 107 ) ( 576 584 117 ) ( 553 584 117 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 584 107 ) ( 553 573 107 ) ( 576 573 107 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 573 107 ) ( 576 573 117 ) ( 576 573 107 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 573 117 ) ( 576 584 107 ) ( 576 573 107 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 568 573 107 ) ( 559 584 136 ) ( 559 573 136 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+}
+// brush 958
+{
+( 576 573 156 ) ( 536.25 571 156 ) ( 536.25 582 156 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 584 136 ) ( 576 584 146 ) ( 553 584 146 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 573 136 ) ( 559 584 136 ) ( 559 573 136 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 573 136 ) ( 576 573 146 ) ( 576 573 136 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 573 146 ) ( 576 584 136 ) ( 576 573 136 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 548 571 134 ) ( 532 582 164 ) ( 532 571 164 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+( 559 584 136 ) ( 536.75 582 155 ) ( 536.75 571 155 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+}
+// brush 959
+{
+( 577 584 221 ) ( 554 573 221 ) ( 554 584 221 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 584 166 ) ( 576 584 176 ) ( 553 584 176 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 536 572 199 ) ( 536 583 189 ) ( 536 583 199 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 584 156 ) ( 553 573 156 ) ( 576 573 156 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 553 573 166 ) ( 576 573 176 ) ( 576 573 166 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 573 176 ) ( 576 584 166 ) ( 576 573 166 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+}
+// brush 960
+{
+( 473 584 73 ) ( 473 573 73 ) ( 473 584 96 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 458 580 69 ) ( 458 580 92 ) ( 448 580 69 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 482 579 52 ) ( 472 579 52 ) ( 482 568 52 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 469 573 92 ) ( 469 573 69 ) ( 469 584 92 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 448 576 92 ) ( 458 576 92 ) ( 448 576 69 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 444 573 144 ) ( 444 584 144 ) ( 454 573 144 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 473 579 652 ) ( 472 580 652 ) ( 473 579 524 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+( 470 580 652 ) ( 469 579 652 ) ( 470 580 524 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+( 469 577 652 ) ( 470 576 652 ) ( 469 577 524 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+( 472 576 652 ) ( 473 577 652 ) ( 472 576 524 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+}
+// brush 961
+{
+( 563 584 73 ) ( 563 573 73 ) ( 563 584 96 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 548 580 69 ) ( 548 580 92 ) ( 538 580 69 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 572 579 52 ) ( 562 579 52 ) ( 572 568 52 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 559 573 92 ) ( 559 573 69 ) ( 559 584 92 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 538 576 92 ) ( 548 576 92 ) ( 538 576 69 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 534 573 144 ) ( 534 584 144 ) ( 544 573 144 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 563 579 652 ) ( 562 580 652 ) ( 563 579 524 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+( 560 580 652 ) ( 559 579 652 ) ( 560 580 524 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+( 559 577 652 ) ( 560 576 652 ) ( 559 577 524 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+( 562 576 652 ) ( 563 577 652 ) ( 562 576 524 ) base_trim/dirty_pewter_big 0 0 0 0.5 0.5 0 0 0
+}
 }
 // entity 1