Index: data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4017)
+++ data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4018)
@@ -8034,8 +8034,11 @@
 ( 566 1262.5 232 ) ( 566 1013 232 ) ( 434 1262.5 232 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( 571 758 132 ) ( 439 758 132 ) ( 571 758 121 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 617 1261.5 132 ) ( 617 1261.5 121 ) ( 617 1012 132 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 612 1261.5 132 ) ( 612 1261.5 121 ) ( 612 1012 132 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( 429 1013 121 ) ( 561 1013 121 ) ( 429 1262.5 121 ) base_wall/basewall04 -90 13 0 0.3000000119 0.3000000119 0 0 0
-( 460.5 720 121 ) ( 460.5 720 132 ) ( 592.5 720 121 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 416 1008.5 121 ) ( 416 1258 121 ) ( 416 1008.5 132 ) base_wall/basewall04 47 13 -90 0.3000000119 0.3000000119 0 0 0
+( 468.5 552 121 ) ( 468.5 552 132 ) ( 600.5 552 121 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 419 1008.5 121 ) ( 419 1258 121 ) ( 419 1008.5 132 ) base_wall/basewall04 47 13 -90 0.3000000119 0.3000000119 0 0 0
+( -64 667 120 ) ( -64 552 144 ) ( 64 667 120 ) NULL 0 0 0 0.5 0.5 0 0 0
+( -64 597 135 ) ( -64 553 173 ) ( 64 597 135 ) NULL 0 0 0 0.5 0.5 0 0 0
+( -64 566 164 ) ( -64 550 192 ) ( 64 566 164 ) NULL 0 0 0 0.5 0.5 0 0 0
 }
 // brush 858
@@ -8849,4 +8852,84 @@
 ( 577 -312 139 ) ( 577 -301 129 ) ( 577 -312 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
 }
+// brush 948
+{
+( 424 743 -14 ) ( 424 724 -14 ) ( 414 743 -14 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 424 739 -2 ) ( 424 739 -24 ) ( 424 720 -2 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 -24 ) ( 424 720 -24 ) ( 414 739 -24 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 -24 ) ( 414 720 -2 ) ( 424 720 -24 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 -24 ) ( 414 739 -24 ) ( 414 720 -2 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
+( 27 734 4 ) ( 27 734 -23 ) ( 155 734 4 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+}
+// brush 949
+{
+( 424 732 42 ) ( 424 720 42 ) ( 414 732 42 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 424 725 43 ) ( 414 725 43 ) ( 424 725 17 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 424 732 42 ) ( 424 732 16 ) ( 424 720 42 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 16 ) ( 424 720 16 ) ( 414 732 16 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 16 ) ( 414 720 42 ) ( 424 720 16 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 16 ) ( 414 732 16 ) ( 414 720 42 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
+}
+// brush 950
+{
+( 424 741 16 ) ( 424 720 16 ) ( 414 741 16 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 424 741 16 ) ( 424 741 -3 ) ( 424 720 16 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
+( 424 734 -14 ) ( 414 734 -14 ) ( 414 720 -14 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 -3 ) ( 414 720 16 ) ( 424 720 -3 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 -3 ) ( 414 741 -3 ) ( 414 720 16 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
+( 414 734 -14 ) ( 424 734 -14 ) ( 424 725 16 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+}
+// brush 951
+{
+( 414 733 61 ) ( 424 733 61 ) ( 424 720 61 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 424 744 61 ) ( 424 744 42 ) ( 424 720 61 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 42 ) ( 424 720 42 ) ( 414 744 42 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 42 ) ( 414 720 61 ) ( 424 720 42 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 42 ) ( 414 744 42 ) ( 414 720 61 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
+( 424 733 61 ) ( 414 733 61 ) ( 424 725 42 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+}
+// brush 952
+{
+( 414 745 77 ) ( 424 745 77 ) ( 424 720 77 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 424 769 77 ) ( 424 769 61 ) ( 424 720 77 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 61 ) ( 424 720 61 ) ( 414 769 61 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 61 ) ( 414 720 77 ) ( 424 720 61 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 61 ) ( 414 769 61 ) ( 414 720 77 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
+( 424 745 77 ) ( 414 745 77 ) ( 414 733 61 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+}
+// brush 953
+{
+( 424 772 110 ) ( 424 723 110 ) ( 414 772 110 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 424 745 123 ) ( 414 745 123 ) ( 424 745 99 ) base_trim/dirty_pewter_big -199 101 0 0.200000003 0.200000003 0 0 0
+( 424 769 101 ) ( 424 769 77 ) ( 424 720 101 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 77 ) ( 424 720 77 ) ( 414 769 77 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 77 ) ( 414 720 101 ) ( 424 720 77 ) base_trim/dirty_pewter_big -199 -4 0 0.200000003 0.200000003 0 0 0
+( 414 720 77 ) ( 414 769 77 ) ( 414 720 101 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
+}
+// brush 954
+{
+( 436 -140 148 ) ( 516 76 148 ) ( 516 -140 148 ) base_trim/dirty_pewter 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 628 -202 128 ) ( 548 -202 136 ) ( 628 -202 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 525 90 136 ) ( 525 -126 128 ) ( 525 -126 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 434 -140 132 ) ( 514 76 132 ) ( 434 76 132 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 479 -186 128 ) ( 399 -186 136 ) ( 399 -186 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 509 82 136 ) ( 509 -134 128 ) ( 509 82 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 509 -190 -57 ) ( 513 -186 -57 ) ( 509 -190 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 521 -186 -57 ) ( 525 -190 -57 ) ( 521 -186 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 525 -198 -57 ) ( 521 -202 -57 ) ( 525 -198 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 513 -202 -57 ) ( 509 -198 -57 ) ( 513 -202 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 509 70 139 ) ( 514 70 148 ) ( 509 -58 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 520 70 148 ) ( 525 70 139 ) ( 520 -58 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( -75 -202 139 ) ( -75 -197 148 ) ( 53 -202 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( -75 -191 148 ) ( -75 -186 139 ) ( 53 -191 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+}
+// brush 955
+{
+( 526 -193 221 ) ( 526 -195 221 ) ( 510 -193 221 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 525 -193 153 ) ( 509 -193 153 ) ( 525 -193 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 518 -193 147 ) ( 518 -193 142 ) ( 518 -195 147 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 509 -195 148 ) ( 525 -195 148 ) ( 509 -193 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 502 -195 148 ) ( 502 -195 153 ) ( 518 -195 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 516 -195 147 ) ( 516 -193 147 ) ( 516 -195 152 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+}
 }
 // entity 1