Index: data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4018)
+++ data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4019)
@@ -8908,27 +8908,53 @@
 // brush 954
 {
-( 436 -140 148 ) ( 516 76 148 ) ( 516 -140 148 ) base_trim/dirty_pewter 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 628 -202 128 ) ( 548 -202 136 ) ( 628 -202 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 525 90 136 ) ( 525 -126 128 ) ( 525 -126 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 434 -140 132 ) ( 514 76 132 ) ( 434 76 132 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 479 -186 128 ) ( 399 -186 136 ) ( 399 -186 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 509 82 136 ) ( 509 -134 128 ) ( 509 82 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 509 -190 -57 ) ( 513 -186 -57 ) ( 509 -190 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 521 -186 -57 ) ( 525 -190 -57 ) ( 521 -186 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 525 -198 -57 ) ( 521 -202 -57 ) ( 525 -198 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 513 -202 -57 ) ( 509 -198 -57 ) ( 513 -202 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 509 70 139 ) ( 514 70 148 ) ( 509 -58 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 520 70 148 ) ( 525 70 139 ) ( 520 -58 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( -75 -202 139 ) ( -75 -197 148 ) ( 53 -202 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( -75 -191 148 ) ( -75 -186 139 ) ( 53 -191 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 435 -112 148 ) ( 515 104 148 ) ( 515 -112 148 ) base_trim/dirty_pewter 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 627 -174 128 ) ( 547 -174 136 ) ( 627 -174 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 118 136 ) ( 524 -98 128 ) ( 524 -98 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 433 -112 132 ) ( 513 104 132 ) ( 433 104 132 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 478 -158 128 ) ( 398 -158 136 ) ( 398 -158 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 110 136 ) ( 508 -106 128 ) ( 508 110 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 -162 -57 ) ( 512 -158 -57 ) ( 508 -162 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 520 -158 -57 ) ( 524 -162 -57 ) ( 520 -158 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 -170 -57 ) ( 520 -174 -57 ) ( 524 -170 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 512 -174 -57 ) ( 508 -170 -57 ) ( 512 -174 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 98 139 ) ( 513 98 148 ) ( 508 -30 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 519 98 148 ) ( 524 98 139 ) ( 519 -30 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( -76 -174 139 ) ( -76 -169 148 ) ( 52 -174 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( -76 -163 148 ) ( -76 -158 139 ) ( 52 -163 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
 }
 // brush 955
 {
-( 526 -193 221 ) ( 526 -195 221 ) ( 510 -193 221 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 525 -193 153 ) ( 509 -193 153 ) ( 525 -193 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 518 -193 147 ) ( 518 -193 142 ) ( 518 -195 147 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 509 -195 148 ) ( 525 -195 148 ) ( 509 -193 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 502 -195 148 ) ( 502 -195 153 ) ( 518 -195 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
-( 516 -195 147 ) ( 516 -193 147 ) ( 516 -195 152 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 525 -165 221 ) ( 525 -167 221 ) ( 509 -165 221 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 -165 153 ) ( 508 -165 153 ) ( 524 -165 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 517 -165 147 ) ( 517 -165 142 ) ( 517 -167 147 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 -167 148 ) ( 524 -167 148 ) ( 508 -165 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 501 -167 148 ) ( 501 -167 153 ) ( 517 -167 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 515 -167 147 ) ( 515 -165 147 ) ( 515 -167 152 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+}
+// brush 956
+{
+( 435 -32 148 ) ( 515 184 148 ) ( 515 -32 148 ) base_trim/dirty_pewter 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 627 -94 128 ) ( 547 -94 136 ) ( 627 -94 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 198 136 ) ( 524 -18 128 ) ( 524 -18 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 433 -32 132 ) ( 513 184 132 ) ( 433 184 132 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 478 -78 128 ) ( 398 -78 136 ) ( 398 -78 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 190 136 ) ( 508 -26 128 ) ( 508 190 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 -82 -57 ) ( 512 -78 -57 ) ( 508 -82 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 520 -78 -57 ) ( 524 -82 -57 ) ( 520 -78 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 -90 -57 ) ( 520 -94 -57 ) ( 524 -90 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 512 -94 -57 ) ( 508 -90 -57 ) ( 512 -94 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 178 139 ) ( 513 178 148 ) ( 508 50 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 519 178 148 ) ( 524 178 139 ) ( 519 50 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( -76 -94 139 ) ( -76 -89 148 ) ( 52 -94 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( -76 -83 148 ) ( -76 -78 139 ) ( 52 -83 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+}
+// brush 957
+{
+( 525 -85 221 ) ( 525 -87 221 ) ( 509 -85 221 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 -85 153 ) ( 508 -85 153 ) ( 524 -85 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 517 -85 147 ) ( 517 -85 142 ) ( 517 -87 147 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 -87 148 ) ( 524 -87 148 ) ( 508 -85 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 501 -87 148 ) ( 501 -87 153 ) ( 517 -87 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 515 -87 147 ) ( 515 -85 147 ) ( 515 -87 152 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
 }
 }
@@ -9123,50 +9149,8 @@
 {
 "classname" "light"
-"origin" "517 -164 159"
+"origin" "516 -166 128"
 "light" "100"
 }
 // entity 29
-{
-"classname" "light"
-"origin" "517 -84 159"
-"light" "100"
-}
-// entity 30
-{
-"classname" "light"
-"origin" "517 -1 159"
-"light" "100"
-}
-// entity 31
-{
-"classname" "light"
-"origin" "517 78 159"
-"light" "100"
-}
-// entity 32
-{
-"classname" "light"
-"origin" "517 156 159"
-"light" "100"
-}
-// entity 33
-{
-"classname" "light"
-"origin" "517 241 159"
-"light" "100"
-}
-// entity 34
-{
-"classname" "light"
-"origin" "517 324 159"
-"light" "100"
-}
-// entity 35
-{
-"classname" "light"
-"origin" "517 407 159"
-"light" "100"
-}
-// entity 36
 {
 "classname" "light"
@@ -9174,5 +9158,5 @@
 "light" "20"
 }
-// entity 37
+// entity 30
 {
 "classname" "light"
@@ -9180,5 +9164,5 @@
 "light" "20"
 }
-// entity 38
+// entity 31
 {
 "classname" "light"
@@ -9186,5 +9170,5 @@
 "light" "100"
 }
-// entity 39
+// entity 32
 {
 "classname" "light"
@@ -9192,5 +9176,5 @@
 "light" "100"
 }
-// entity 40
+// entity 33
 {
 "classname" "light"
@@ -9200,5 +9184,5 @@
 "_sun" "1"
 }
-// entity 41
+// entity 34
 {
 "classname" "light"
@@ -9208,5 +9192,5 @@
 "_sun" "1"
 }
-// entity 42
+// entity 35
 {
 "classname" "light"
@@ -9216,5 +9200,5 @@
 "_sun" "1"
 }
-// entity 43
+// entity 36
 {
 "classname" "light"
@@ -9224,5 +9208,5 @@
 "_sun" "1"
 }
-// entity 44
+// entity 37
 {
 "classname" "light"
@@ -9232,5 +9216,5 @@
 "_sun" "1"
 }
-// entity 45
+// entity 38
 {
 "classname" "light"
@@ -9240,5 +9224,5 @@
 "_sun" "1"
 }
-// entity 46
+// entity 39
 {
 "classname" "light"
@@ -9248,5 +9232,5 @@
 "_sun" "1"
 }
-// entity 47
+// entity 40
 {
 "classname" "light"
@@ -9256,5 +9240,5 @@
 "_sun" "1"
 }
-// entity 48
+// entity 41
 {
 "classname" "light"
@@ -9264,5 +9248,5 @@
 "_sun" "1"
 }
-// entity 49
+// entity 42
 {
 "classname" "light"
@@ -9272,5 +9256,5 @@
 "_sun" "1"
 }
-// entity 50
+// entity 43
 {
 "classname" "light"
@@ -9280,5 +9264,5 @@
 "_sun" "1"
 }
-// entity 51
+// entity 44
 {
 "classname" "light"
@@ -9288,5 +9272,5 @@
 "_sun" "1"
 }
-// entity 52
+// entity 45
 {
 "classname" "light"
@@ -9296,5 +9280,5 @@
 "_sun" "1"
 }
-// entity 53
+// entity 46
 {
 "classname" "light"
@@ -9304,5 +9288,5 @@
 "_sun" "1"
 }
-// entity 54
+// entity 47
 {
 "classname" "light"
@@ -9312,5 +9296,5 @@
 "_sun" "1"
 }
-// entity 55
+// entity 48
 {
 "classname" "light"
@@ -9320,5 +9304,5 @@
 "_sun" "1"
 }
-// entity 56
+// entity 49
 {
 "classname" "light"
@@ -9328,5 +9312,5 @@
 "_sun" "1"
 }
-// entity 57
+// entity 50
 {
 "classname" "light"
@@ -9336,5 +9320,5 @@
 "_sun" "1"
 }
-// entity 58
+// entity 51
 {
 "classname" "light"
@@ -9344,5 +9328,5 @@
 "_sun" "1"
 }
-// entity 59
+// entity 52
 {
 "classname" "light"
@@ -9352,5 +9336,5 @@
 "_sun" "1"
 }
-// entity 60
+// entity 53
 {
 "classname" "light"
@@ -9360,5 +9344,5 @@
 "_sun" "1"
 }
-// entity 61
+// entity 54
 {
 "classname" "light"
@@ -9368,5 +9352,5 @@
 "_sun" "1"
 }
-// entity 62
+// entity 55
 {
 "classname" "light"
@@ -9376,5 +9360,5 @@
 "_sun" "1"
 }
-// entity 63
+// entity 56
 {
 "classname" "light"
@@ -9384,5 +9368,5 @@
 "_sun" "1"
 }
-// entity 64
+// entity 57
 {
 "classname" "light"
@@ -9392,5 +9376,5 @@
 "_sun" "1"
 }
-// entity 65
+// entity 58
 {
 "classname" "light"
@@ -9400,5 +9384,5 @@
 "_sun" "1"
 }
-// entity 66
+// entity 59
 {
 "classname" "light"
@@ -9408,5 +9392,5 @@
 "_sun" "1"
 }
-// entity 67
+// entity 60
 {
 "classname" "light"
@@ -9416,5 +9400,5 @@
 "_sun" "1"
 }
-// entity 68
+// entity 61
 {
 "classname" "light"
@@ -9424,5 +9408,5 @@
 "_sun" "1"
 }
-// entity 69
+// entity 62
 {
 "classname" "light"
@@ -9432,2 +9416,8 @@
 "_sun" "1"
 }
+// entity 63
+{
+"classname" "light"
+"origin" "516 -86 128"
+"light" "100"
+}