Index: orxonox/branches/md2_loader/src/Makefile.am
===================================================================
--- orxonox/branches/md2_loader/src/Makefile.am	(revision 4064)
+++ orxonox/branches/md2_loader/src/Makefile.am	(revision 4065)
@@ -70,4 +70,5 @@
 		 lib/graphics/importer/array.cc \
 		 lib/graphics/importer/objModel.cc \
+		 lib/graphics/importer/md2Model.cc \
 		 lib/graphics/importer/primitive_model.cc \
 		 lib/graphics/importer/model.cc \
@@ -137,4 +138,12 @@
 		 lib/graphics/light.h \
 		 lib/graphics/text_engine.h \
+		 lib/graphics/importer/array.h \
+		 lib/graphics/importer/abstract_model.h \
+		 lib/graphics/importer/objModel.h \
+		 lib/graphics/importer/md2Model.h \
+		 lib/graphics/importer/primitive_model.h \
+		 lib/graphics/importer/model.h \
+		 lib/graphics/importer/material.h \
+		 lib/graphics/importer/texture.h \
 		 lib/graphics/particles/particle_engine.h \
 		 lib/graphics/particles/particle_system.h \
Index: orxonox/branches/md2_loader/src/lib/graphics/graphics_engine.cc
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/graphics_engine.cc	(revision 4064)
+++ orxonox/branches/md2_loader/src/lib/graphics/graphics_engine.cc	(revision 4065)
@@ -262,4 +262,12 @@
       PRINT(0)(" |  %d x %d\n", this->videoModes[i]->w, this->videoModes[i]->h);
   }
-  
-}
+}
+  
+void GraphicsEngine::displayFPS(bool dislay)
+{
+	PRINTF(4)("");
+	
+	
+}
+
+  
Index: orxonox/branches/md2_loader/src/lib/graphics/graphics_engine.h
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/graphics_engine.h	(revision 4064)
+++ orxonox/branches/md2_loader/src/lib/graphics/graphics_engine.h	(revision 4065)
@@ -44,5 +44,6 @@
   static GLdouble projMat[16];
   static GLint viewPort[4];
-
+  
+  void displayFPS(bool dislay);
 
 
Index: orxonox/branches/md2_loader/src/lib/graphics/importer/Makefile.am
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/importer/Makefile.am	(revision 4064)
+++ orxonox/branches/md2_loader/src/lib/graphics/importer/Makefile.am	(revision 4065)
@@ -32,4 +32,5 @@
 	  	  model.cc \
 		  objModel.cc \
+		  md2Model.cc \
 		  primitive_model.cc \
 	  	  array.cc \
@@ -46,6 +47,8 @@
 noinst_HEADERS= framework.h \
 	  	windowHandler.h \
+ 		abstract_model.h \
 	  	model.h \
 		objModel.h \
+ 		md2Model.h \
 		primitive_model.h \
 	  	array.h \
Index: orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc	(revision 4065)
+++ orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc	(revision 4065)
@@ -0,0 +1,39 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Patrick Boenzli
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "md2Model.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+*/
+MD2Model::MD2Model () 
+{
+   this->setClassName ("MD2Model");
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+MD2Model::~MD2Model () 
+{
+  // delete what has to be deleted here
+}
Index: orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h	(revision 4065)
+++ orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h	(revision 4065)
@@ -0,0 +1,26 @@
+/*! 
+    \file md2Model.h
+    \brief Definition of an MD2 Model, a model format invented by ID Software.
+	
+	We are deeply thankfull for all the wunderfull things id software made for us gamers!
+
+*/
+
+#ifndef _MD2MODEL_H
+#define _MD2MODEL_H
+
+#include "abstract_model.h"
+
+//! A class for representating a MD2Model
+class MD2Model : public AbstractModel {
+
+ public:
+  MD2Model();
+  virtual ~MD2Model();
+
+
+ private:
+
+};
+
+#endif /* _MD2MODEL_H */
Index: orxonox/branches/md2_loader/src/lib/graphics/importer/model.h
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/importer/model.h	(revision 4064)
+++ orxonox/branches/md2_loader/src/lib/graphics/importer/model.h	(revision 4065)
@@ -9,4 +9,5 @@
 #include "material.h"
 #include "glincl.h"
+
 
 // FORWARD DEFINITION //
Index: orxonox/branches/md2_loader/src/util/resource_manager.cc
===================================================================
--- orxonox/branches/md2_loader/src/util/resource_manager.cc	(revision 4064)
+++ orxonox/branches/md2_loader/src/util/resource_manager.cc	(revision 4065)
@@ -20,4 +20,5 @@
 // different resource Types
 #include "objModel.h"
+#include "md2Model.h"
 #include "primitive_model.h"
 #include "texture.h"