Index: orxonox/branches/md2_loader/src/Makefile.in
===================================================================
--- orxonox/branches/md2_loader/src/Makefile.in	(revision 4077)
+++ orxonox/branches/md2_loader/src/Makefile.in	(revision 4078)
@@ -83,6 +83,6 @@
 	data_tank.$(OBJEXT) graphics_engine.$(OBJEXT) light.$(OBJEXT) \
 	text_engine.$(OBJEXT) array.$(OBJEXT) objModel.$(OBJEXT) \
-	primitive_model.$(OBJEXT) model.$(OBJEXT) material.$(OBJEXT) \
-	texture.$(OBJEXT) particle_engine.$(OBJEXT) \
+	md2Model.$(OBJEXT) primitive_model.$(OBJEXT) model.$(OBJEXT) \
+	material.$(OBJEXT) texture.$(OBJEXT) particle_engine.$(OBJEXT) \
 	particle_system.$(OBJEXT) particle_emitter.$(OBJEXT) \
 	base_entity.$(OBJEXT) base_object.$(OBJEXT) \
@@ -122,7 +122,8 @@
 @AMDEP_TRUE@	./$(DEPDIR)/libORXgui_a-gui_video.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/light.Po ./$(DEPDIR)/list.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/material.Po ./$(DEPDIR)/model.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/null_parent.Po ./$(DEPDIR)/objModel.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/orxonox.Po ./$(DEPDIR)/p_node.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/material.Po ./$(DEPDIR)/md2Model.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/model.Po ./$(DEPDIR)/null_parent.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/objModel.Po ./$(DEPDIR)/orxonox.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/p_node.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particle_emitter.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particle_engine.Po \
@@ -311,4 +312,5 @@
 		 lib/graphics/importer/array.cc \
 		 lib/graphics/importer/objModel.cc \
+		 lib/graphics/importer/md2Model.cc \
 		 lib/graphics/importer/primitive_model.cc \
 		 lib/graphics/importer/model.cc \
@@ -378,4 +380,12 @@
 		 lib/graphics/light.h \
 		 lib/graphics/text_engine.h \
+		 lib/graphics/importer/array.h \
+		 lib/graphics/importer/abstract_model.h \
+		 lib/graphics/importer/objModel.h \
+		 lib/graphics/importer/md2Model.h \
+		 lib/graphics/importer/primitive_model.h \
+		 lib/graphics/importer/model.h \
+		 lib/graphics/importer/material.h \
+		 lib/graphics/importer/texture.h \
 		 lib/graphics/particles/particle_engine.h \
 		 lib/graphics/particles/particle_system.h \
@@ -536,4 +546,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/list.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/material.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/md2Model.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/model.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/null_parent.Po@am__quote@
@@ -1207,4 +1218,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o objModel.obj `if test -f 'lib/graphics/importer/objModel.cc'; then $(CYGPATH_W) 'lib/graphics/importer/objModel.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/importer/objModel.cc'; fi`
+
+md2Model.o: lib/graphics/importer/md2Model.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT md2Model.o -MD -MP -MF "$(DEPDIR)/md2Model.Tpo" -c -o md2Model.o `test -f 'lib/graphics/importer/md2Model.cc' || echo '$(srcdir)/'`lib/graphics/importer/md2Model.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/md2Model.Tpo" "$(DEPDIR)/md2Model.Po"; else rm -f "$(DEPDIR)/md2Model.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/graphics/importer/md2Model.cc' object='md2Model.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/md2Model.Po' tmpdepfile='$(DEPDIR)/md2Model.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o md2Model.o `test -f 'lib/graphics/importer/md2Model.cc' || echo '$(srcdir)/'`lib/graphics/importer/md2Model.cc
+
+md2Model.obj: lib/graphics/importer/md2Model.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT md2Model.obj -MD -MP -MF "$(DEPDIR)/md2Model.Tpo" -c -o md2Model.obj `if test -f 'lib/graphics/importer/md2Model.cc'; then $(CYGPATH_W) 'lib/graphics/importer/md2Model.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/importer/md2Model.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/md2Model.Tpo" "$(DEPDIR)/md2Model.Po"; else rm -f "$(DEPDIR)/md2Model.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/graphics/importer/md2Model.cc' object='md2Model.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/md2Model.Po' tmpdepfile='$(DEPDIR)/md2Model.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o md2Model.obj `if test -f 'lib/graphics/importer/md2Model.cc'; then $(CYGPATH_W) 'lib/graphics/importer/md2Model.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/importer/md2Model.cc'; fi`
 
 primitive_model.o: lib/graphics/importer/primitive_model.cc
@@ -1634,5 +1661,5 @@
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/ai $(distdir)/defs $(distdir)/glmenu $(distdir)/lib/coord $(distdir)/lib/data $(distdir)/lib/graphics $(distdir)/lib/graphics/particles $(distdir)/lib/gui/gui $(distdir)/lib/lang $(distdir)/lib/math $(distdir)/lib/util $(distdir)/network $(distdir)/proto $(distdir)/story_entities $(distdir)/util $(distdir)/util/animation $(distdir)/util/common $(distdir)/world_entities
+	$(mkdir_p) $(distdir)/ai $(distdir)/defs $(distdir)/glmenu $(distdir)/lib/coord $(distdir)/lib/data $(distdir)/lib/graphics $(distdir)/lib/graphics/importer $(distdir)/lib/graphics/particles $(distdir)/lib/gui/gui $(distdir)/lib/lang $(distdir)/lib/math $(distdir)/lib/util $(distdir)/network $(distdir)/proto $(distdir)/story_entities $(distdir)/util $(distdir)/util/animation $(distdir)/util/common $(distdir)/world_entities
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
Index: orxonox/branches/md2_loader/src/lib/graphics/importer/Makefile.in
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/importer/Makefile.in	(revision 4077)
+++ orxonox/branches/md2_loader/src/lib/graphics/importer/Makefile.in	(revision 4078)
@@ -42,5 +42,5 @@
 subdir = src/lib/graphics/importer
 DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
-	$(srcdir)/Makefile.in
+	$(srcdir)/Makefile.in TODO
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
@@ -54,9 +54,10 @@
 PROGRAMS = $(bin_PROGRAMS)
 am_importer_OBJECTS = framework.$(OBJEXT) windowHandler.$(OBJEXT) \
-	model.$(OBJEXT) objModel.$(OBJEXT) primitive_model.$(OBJEXT) \
-	array.$(OBJEXT) material.$(OBJEXT) texture.$(OBJEXT) \
-	graphics_engine.$(OBJEXT) base_object.$(OBJEXT) \
-	vector.$(OBJEXT) resource_manager.$(OBJEXT) \
-	text_engine.$(OBJEXT) p_node.$(OBJEXT) null_parent.$(OBJEXT)
+	model.$(OBJEXT) objModel.$(OBJEXT) md2Model.$(OBJEXT) \
+	primitive_model.$(OBJEXT) array.$(OBJEXT) material.$(OBJEXT) \
+	texture.$(OBJEXT) graphics_engine.$(OBJEXT) \
+	base_object.$(OBJEXT) vector.$(OBJEXT) \
+	resource_manager.$(OBJEXT) text_engine.$(OBJEXT) \
+	p_node.$(OBJEXT) null_parent.$(OBJEXT)
 importer_OBJECTS = $(am_importer_OBJECTS)
 importer_LDADD = $(LDADD)
@@ -68,7 +69,7 @@
 @AMDEP_TRUE@	./$(DEPDIR)/framework.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/graphics_engine.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/material.Po ./$(DEPDIR)/model.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/null_parent.Po ./$(DEPDIR)/objModel.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/p_node.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/material.Po ./$(DEPDIR)/md2Model.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/model.Po ./$(DEPDIR)/null_parent.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/objModel.Po ./$(DEPDIR)/p_node.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/primitive_model.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/resource_manager.Po \
@@ -200,4 +201,5 @@
 	  	  model.cc \
 		  objModel.cc \
+		  md2Model.cc \
 		  primitive_model.cc \
 	  	  array.cc \
@@ -214,6 +216,8 @@
 noinst_HEADERS = framework.h \
 	  	windowHandler.h \
+ 		abstract_model.h \
 	  	model.h \
 		objModel.h \
+ 		md2Model.h \
 		primitive_model.h \
 	  	array.h \
@@ -292,4 +296,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphics_engine.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/material.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/md2Model.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/model.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/null_parent.Po@am__quote@
Index: orxonox/branches/md2_loader/src/lib/graphics/importer/abstract_model.h
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/importer/abstract_model.h	(revision 4077)
+++ orxonox/branches/md2_loader/src/lib/graphics/importer/abstract_model.h	(revision 4078)
@@ -23,4 +23,6 @@
 
 #include "stdincl.h"
+#include "base_object.h"
+
 
 
@@ -98,5 +100,5 @@
 
 //! This class defines the basic components of a model
-class AbstractModel {
+class AbstractModel : public BaseObject {
 
  public:
Index: orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc	(revision 4077)
+++ orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc	(revision 4078)
@@ -16,4 +16,5 @@
 
 #include "md2Model.h"
+
 
 using namespace std;
@@ -50,5 +51,4 @@
 /**
    \brief standard deconstructor
-
 	creates a new model loader
 */
@@ -56,16 +56,14 @@
 {
    this->setClassName ("MD2Loader");
-   // Here we initialize our structures to 0
-   memset(&m_Header, 0, sizeof(tMd2Header));
-   // Set the pointers to null
-   m_pSkins=NULL;
-   m_pTexCoords=NULL;
-   m_pTriangles=NULL;
-   m_pFrames=NULL;
+   /* initialize all data to initial state */
+   memset(&this->header, 0, sizeof(tMd2Header));
+   this->pSkins = NULL;
+   this->pTexCoords = NULL;
+   this->pTriangles = NULL;
+   this->pFrames = NULL;
 }
 
 /**
    \brief standard deconstructor
-
 */
 MD2Loader::~MD2Loader()
Index: orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h	(revision 4077)
+++ orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h	(revision 4078)
@@ -18,4 +18,6 @@
 
 #include "abstract_model.h"
+#include "base_object.h"
+#include "stdincl.h"
 
 
@@ -127,5 +129,5 @@
 
 //! A class that handles all of the loading code
-class MD2Loader {
+class MD2Loader : public BaseObject {
 
 public:
@@ -142,10 +144,10 @@
   void cleanUp();
   
-  FILE *m_FilePointer;	
-  tMd2Header m_Header;					    //!< The header data
-  tMd2Skin *m_pSkins;						//!< The skin data
-  tMd2TexCoord *m_pTexCoords;				//!< The texture coordinates
-  tMd2Face *m_pTriangles;					//!< Face index information
-  tMd2Frame *m_pFrames;					    //!< The frames of animation (vertices)
+  FILE *pFile;	
+  tMd2Header header;					    //!< The header data
+  tMd2Skin *pSkins;						//!< The skin data
+  tMd2TexCoord *pTexCoords;				//!< The texture coordinates
+  tMd2Face *pTriangles;					//!< Face index information
+  tMd2Frame *pFrames;					    //!< The frames of animation (vertices)
 };
 