Index: /data/branches/presentation/models/environments/uranus.mtl
===================================================================
--- /data/branches/presentation/models/environments/uranus.mtl	(revision 4125)
+++ /data/branches/presentation/models/environments/uranus.mtl	(revision 4126)
@@ -1,17 +1,17 @@
+
 newmtl phong1SG
 illum 4
 Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd uranus.jpg
+Ka 1.00 1.00 1.00
+map_Kd planets/uranus.jpg
 Ni 1.00
 Ks 0.00 0.00 0.00
 Ns 18.00
+
 newmtl phong2SG
 illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd uranusringcolour.jpg
+Kd 0.0 0.00 0.00
+Ka 1.00 1.00 1.00
+map_Kd planets/uranusringcolour.jpg
 Ni 1.00
 Ks 0.00 0.00 0.00
Index: /data/branches/presentation/worlds/sp_level_ambush_at_uranus.oxw
===================================================================
--- /data/branches/presentation/worlds/sp_level_ambush_at_uranus.oxw	(revision 4125)
+++ /data/branches/presentation/worlds/sp_level_ambush_at_uranus.oxw	(revision 4126)
@@ -257,5 +257,5 @@
       <travel-speed>80</travel-speed>
       <travel-height>0</travel-height>
-      <travel-distance>40, 80</travel-distance>
+      <travel-distance>50, 80</travel-distance>
     </Spacecraft2D>
 
@@ -288,31 +288,35 @@
 
     <Building>
-	 <name>uranus</name>
-	 <model>models/environments/uranus.obj, 50</model>
-	 <abs-coor>3000, 0, -200</abs-coor>
- <abs-dir>0.5, 0.5, 0, 0</abs-dir>    </Building>
+         <name>uranus</name>
+         <model>models/environments/uranus.obj, 50</model>
+         <abs-coor>3000, 0, -200</abs-coor>
+         <abs-dir>0.5, 0.5, 0, 0</abs-dir>
+    </Building>
 
 
     <!-- HERE IS THE ARCADE SHOOTER -->
     <!-- NPC's -->
-    <NPC2> <abs-coor>2500, 0.0, -1720.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2550, 0.0, -1650.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2540, 0.0, -1750.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2600, 0.0, -1620.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2620, 0.0, -1720.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2610, 0.0, -1740.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2670, 0.0, -1630.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2700, 0.0, -1730.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2800, 0.0, -1640.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2850, 0.0, -1656.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2880, 0.0, -1730.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2900, 0.0, -1750.0</abs-coor> </NPC2>
+    <NPC2> <abs-coor>2800, 0.0, -1720.0</abs-coor> </NPC2>
+    <NPC2> <abs-coor>2850, 0.0, -1650.0</abs-coor> </NPC2>
+    <NPC2> <abs-coor>2840, 0.0, -1750.0</abs-coor> </NPC2>
+    <NPC2> <abs-coor>2900, 0.0, -1620.0</abs-coor> </NPC2>
+    <NPC2> <abs-coor>2920, 0.0, -1720.0</abs-coor> </NPC2>
+    <NPC2> <abs-coor>2910, 0.0, -1740.0</abs-coor> </NPC2>
+    <NPC2> <abs-coor>2970, 0.0, -1630.0</abs-coor> </NPC2>
     <NPC2> <abs-coor>3000, 0.0, -1730.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3050, 0.0, -1640.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3050, 0.0, -1760.0</abs-coor> </NPC2>
-
-
-
-    <!-- BELOW THIS LINE (delete this line later)-->
+    <NPC2> <abs-coor>3100, 0.0, -1640.0</abs-coor> </NPC2>
+    <NPC2> <abs-coor>3150, 0.0, -1656.0</abs-coor> </NPC2>
+    <NPC2> <abs-coor>3180, 0.0, -1730.0</abs-coor> </NPC2>
+    <NPC2> <abs-coor>3200, 0.0, -1750.0</abs-coor> </NPC2>
+    <NPC2> <abs-coor>3300, 0.0, -1730.0</abs-coor> </NPC2>
+    <NPC2> <abs-coor>3350, 0.0, -1640.0</abs-coor> </NPC2>
+    <NPC2> <abs-coor>3350, 0.0, -1760.0</abs-coor> </NPC2>
+
+
+    <!-- BELOW THE LAYER -->
+    <ModelEntity> <abs-coor>2900,-150,-1700</abs-coor> <momentum> 100, .5, .3, .2 </momentum> <model>models/comet.obj, 2.5</model> </ModelEntity>
+    <ModelEntity> <abs-coor>3000,-250,-1750</abs-coor> <momentum> 400, .3, .8, .1 </momentum> <model>models/comet.obj, 2.5</model> </ModelEntity>
+    <ModelEntity> <abs-coor>3200,-2200,-1600</abs-coor> <momentum> -10, .3, .7, .7 </momentum> <model>models/comet.obj, 2.5</model> </ModelEntity>
+    <ModelEntity> <abs-coor>2900,-150,-1700</abs-coor> <momentum> 22, -.1, .7, .2 </momentum> <model>models/comet.obj, 2.5</model> </ModelEntity>
 
 