Index: orxonox/branches/movie_player/scripts/data.genlist.pl
===================================================================
--- orxonox/branches/movie_player/scripts/data.genlist.pl	(revision 4217)
+++ orxonox/branches/movie_player/scripts/data.genlist.pl	(revision 4217)
@@ -0,0 +1,68 @@
+#!/usr/bin/perl
+########################################################################## 
+#   orxonox - the future of 3D-vertical-scrollers			 #
+#									 #
+#   Copyright (C) 2004 orx						 #
+#									 #
+#   This program is free software; you can redistribute it and/or modify #
+#   it under the terms of the GNU General Public License as published by #
+#   the Free Software Foundation; either version 2, or (at your option)  #
+#   any later version.							 #
+#									 #
+#   ### File Specific:							 #
+#   main-programmer: Benjamin Grauer					 #
+#   co-programmer: ...							 #
+#									 #
+#   This is a simple perl script, that generates a List of all files     #
+#   contained in a Folder checked out with SVN and writes into an output #
+#   file.                                                                #
+##########################################################################
+
+if (@ARGV[0] eq "-h" || $ARGV[0] eq "--help" || @ARGV != 2)
+  {
+    die ("usage: data.genlist.pl <data-directory> <output-file>\n");
+  }
+
+
+if (! -d @ARGV[0])
+  {
+    die ("@ARGV[0] is not regular Directory.\n");
+  }
+
+open(FD, "> @ARGV[1]") or die("Couldn't open @ARGV[1]\n") ;
+
+
+&createFileList(@ARGV[0]);
+
+close(FD);
+
+
+sub createFileList
+  {
+   my ($folderName) = @_;
+   my ($fullName);
+   my ($inputFile);
+   my ($printFile);
+   my (@folderList);
+
+   open(FOLDERLIST, "ls $folderName -1 |");
+   @folderList = <FOLDERLIST>;
+
+   foreach $inputFile (@folderList)
+     {
+       if ($inputFile eq "." || $inputFile eq "..")
+	 {
+
+	 }
+       chomp($inputFile);
+       $fullName = "$folderName/$inputFile";
+
+       $printFile = $fullName;
+       $printFile =~ s/@ARGV[0]//;
+       print FD "$printFile\n";
+       if (-d $fullName )
+	 {
+	   &createFileList($fullName);
+	 }
+     }
+ }
Index: orxonox/branches/movie_player/scripts/gtk-config.osXframework
===================================================================
--- orxonox/branches/movie_player/scripts/gtk-config.osXframework	(revision 4217)
+++ orxonox/branches/movie_player/scripts/gtk-config.osXframework	(revision 4217)
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+glib_libs="-framework GLib"
+glib_cflags="-I/Library/Frameworks/GLib.framework/Headers"
+glib_thread_libs="-framework GLib -lpthread"
+glib_thread_cflags="-I/Library/Frameworks/GLib.framework/Headers"
+
+prefix=/Library/Frameworks
+gtk_fw_prefix=/Library/Frameworks
+exec_prefix=${prefix}
+exec_prefix_set=no
+
+usage()
+{
+	cat <<EOF
+Usage: gtk-config [OPTIONS] [LIBRARIES]
+Options:
+	[--prefix[=DIR]]
+	[--exec-prefix[=DIR]]
+	[--version]
+	[--libs]
+	[--cflags]
+Libraries:
+	gtk
+	gthread
+EOF
+	exit $1
+}
+
+if test $# -eq 0; then
+	usage 1 1>&2
+fi
+
+lib_gtk=yes
+
+while test $# -gt 0; do
+  case "$1" in
+  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+  *) optarg= ;;
+  esac
+
+  case $1 in
+    --prefix=*)
+      prefix=$optarg
+      if test $exec_prefix_set = no ; then
+        exec_prefix=$optarg
+      fi
+      ;;
+    --prefix)
+      echo_prefix=yes
+      ;;
+    --exec-prefix=*)
+      exec_prefix=$optarg
+      exec_prefix_set=yes
+      ;;
+    --exec-prefix)
+      echo_exec_prefix=yes
+      ;;
+    --version)
+      echo 1.2.10
+      ;;
+    --cflags)
+      echo_cflags=yes
+      ;;
+    --libs)
+      echo_libs=yes
+      ;;
+    gtk)
+      lib_gtk=yes
+      ;;
+    gthread)
+      lib_gthread=yes
+      ;;
+    *)
+      usage 1 1>&2
+      ;;
+  esac
+  shift
+done
+
+if test "$echo_prefix" = "yes"; then
+	echo $prefix
+fi
+
+if test "$echo_exec_prefix" = "yes"; then
+	echo $exec_prefix
+fi
+
+if test "$lib_gthread" = "yes"; then
+      glib_cflags="$glib_thread_cflags"
+      glib_libs="$glib_thread_libs"
+fi
+
+if test "$echo_cflags" = "yes"; then
+      echo -F${gtk_fw_prefix} ${glib_cflags} -I${gtk_fw_prefix}/GDK.framework/Headers -I${gtk_fw_prefix}/GTK.framework/Headers
+fi
+
+if test "$echo_libs" = "yes"; then
+      my_glib_libs=
+      libdirs=-F${exec_prefix}
+      for i in $glib_libs ; do
+        if test $i != -F${exec_prefix} ; then
+          if test -z "$my_glib_libs" ; then
+            my_glib_libs="$i"
+          else
+            my_glib_libs="$my_glib_libs $i"
+          fi
+        fi
+      done
+
+      echo $libdirs -F${gtk_fw_prefix} -framework GLib -framework GDK -framework GTK ${glib_cflags} -lm
+fi